> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ordergroove.com/_mcp/server.

# Retrieve Rotating Delivery Product

GET https://restapi.ordergroove.com/products/{product_id}/rotating_delivery_product/

Returns what product will be revealed at a given order placement date or a given ordinal integer in the series

Reference: https://docs.ordergroove.com/reference/rest-rpc-api/products/rotating-products

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: ordergroove-restrpc
  version: 1.0.0
paths:
  /products/{product_id}/rotating_delivery_product/:
    get:
      operationId: rotating-products
      summary: Retrieve Rotating Delivery Product
      description: >-
        Returns what product will be revealed at a given order placement date or
        a given ordinal integer in the series
      tags:
        - products
      parameters:
        - name: product_id
          in: path
          description: Merchant product ID
          required: true
          schema:
            type: string
        - name: date
          in: query
          description: Date of order placement (ISO8601 format, Timezone required)
          required: false
          schema:
            type: string
        - name: ordinal
          in: query
          description: Delivery "position" for the product in the ordinal planned sequence
          required: false
          schema:
            type: integer
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Products_rotating-products_Response_200'
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Rotating-productsRequestBadRequestError'
servers:
  - url: https://restapi.ordergroove.com
    description: https://restapi.ordergroove.com
components:
  schemas:
    ProductsProductIdRotatingDeliveryProductGetResponsesContentApplicationJsonSchemaGroupsItems:
      type: object
      properties:
        name:
          type: string
        group_type:
          type: string
      title: >-
        ProductsProductIdRotatingDeliveryProductGetResponsesContentApplicationJsonSchemaGroupsItems
    Products_rotating-products_Response_200:
      type: object
      properties:
        merchant:
          type: string
        groups:
          type: array
          items:
            $ref: >-
              #/components/schemas/ProductsProductIdRotatingDeliveryProductGetResponsesContentApplicationJsonSchemaGroupsItems
        name:
          type: string
        price:
          type: string
        image_url:
          type: string
        detail_url:
          type: string
        external_product_id:
          type: string
        sku:
          type: string
        autoship_enabled:
          type: boolean
          default: true
        premier_enabled:
          type: integer
          default: 0
        created:
          type: string
        last_update:
          type: string
        live:
          type: boolean
          default: true
        discontinued:
          type: boolean
          default: true
        extra_data:
          description: Any type
        product_type:
          type: string
        autoship_by_default:
          type: boolean
          default: true
        every:
          description: Any type
        every_period:
          description: Any type
        offer_profile:
          description: Any type
        incentive_group:
          description: Any type
      title: Products_rotating-products_Response_200
    RotatingProductsRequestBadRequestError0:
      type: object
      properties:
        detail:
          type: string
      title: RotatingProductsRequestBadRequestError0
    RotatingProductsRequestBadRequestError1:
      type: object
      properties:
        detail:
          type: string
      title: RotatingProductsRequestBadRequestError1
    RotatingProductsRequestBadRequestError2:
      type: object
      properties:
        detail:
          type: string
      title: RotatingProductsRequestBadRequestError2
    RotatingProductsRequestBadRequestError3:
      type: object
      properties:
        detail:
          type: string
      title: RotatingProductsRequestBadRequestError3
    Rotating-productsRequestBadRequestError:
      oneOf:
        - $ref: '#/components/schemas/RotatingProductsRequestBadRequestError0'
        - $ref: '#/components/schemas/RotatingProductsRequestBadRequestError1'
        - $ref: '#/components/schemas/RotatingProductsRequestBadRequestError2'
        - $ref: '#/components/schemas/RotatingProductsRequestBadRequestError3'
      title: Rotating-productsRequestBadRequestError
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

```

## Examples



**Response**

```json
{}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/products/product_id/rotating_delivery_product/"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/products/product_id/rotating_delivery_product/';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/products/product_id/rotating_delivery_product/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/products/product_id/rotating_delivery_product/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://restapi.ordergroove.com/products/product_id/rotating_delivery_product/")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://restapi.ordergroove.com/products/product_id/rotating_delivery_product/', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/products/product_id/rotating_delivery_product/");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/products/product_id/rotating_delivery_product/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```